Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.core
Interface ECPProviderRegistry

All Known Implementing Classes:
  ECPProviderRegistryImpl

    public interface ECPProviderRegistry

Registry class to manage the registered providers. It is available as an OSGi service or using `ECPUtil` It publishes observable events on the `ECPObserverBus`. Related ECPObserver types: `ECPProvidersChangedObserver`. Use `ECPUtil#getECPObserverBus()` to retrieve the ObserverBus and `ECPObserverBus#register(ECPObserver)` to register an Observer.

Author:
  Eike Stepper, Jonas

Method Summary
`void` | `addProvider(ECPProvider provider)` Method to programmatically add an `ECPProvider` to list of available provider.
`ECPProvider` | `getProvider(String name)` This method returns the ECPProvider based on the name.
`Collection<ECPProvider>` | `getProviders()` This method returns all known providers.
`void` | `removeProvider(String name)` Delete a provider programmatically from the list of available providers by its name.

Method Detail

### getProvider

    ECPProvider getProvider(String name)

  This method returns the ECPProvider based on the name.

  Parameters:
    `name` - the name of the `ECPProvider` to search for
  Returns:
    the `ECPProvider`

### getProviders

    Collection<ECPProvider> getProviders()

  This method returns all known providers.

  Returns:
    array of `ECPProviders`

### addProvider

    void addProvider(ECPProvider provider)

  Method to programmatically add an `ECPProvider` to list of available provider.

  Parameters:
    `provider` - the `ECPProvider` to add

### removeProvider

    void removeProvider(String name)

  Delete a provider programmatically from the list of available providers by its name.

  Parameters:
    `name` - the name of the provider to delete

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.